Breadcrumbs

Metavault API - Get link list

Path

/api/projects/{projectId}/model/links

Http Method

GET

Overview

Required permissions

  • Write access to the Build module. BUILD READ

Request

Query parameters

See: Metavault API - General concepts | Paging, sorting and filters for collection query parameters.

Response

Success response (200 OK)

JSON
{
  "self": "/api/projects/{projectId}/model/links",
  "total": 50,
  "_embedded": {
    "_links": [
      {
        "self": "/api/projects/{projectId}/model/links/{linkId}",
        "id": "link-12345",
        "name": "CustomerOrderLink",
        "linkType": "Relationship",
        "businessDescription": "Links customers to orders",
        "technicalDescription": "Link table connecting customer and order hubs",
        "deployedInProduction": false,
        "tableName": "LNK_CUSTOMER_ORDER",
        "entityType": "Link",
        "dependentChildColumns": [],
        "dataColumns": [],
        "_links": {
          "project": "/api/projects/{projectId}",
          "satellites": "/api/projects/{projectId}/model/links/{linkId}/satellites",
          "pitTables": "/api/projects/{projectId}/model/links/{linkId}/pit_tables",
          "mappings": "/api/projects/{projectId}/mappings/links?entityId={linkId}",
          "hubReferences": "/api/projects/{projectId}/model/links/{linkId}/hubreferences"
        },
        "_embedded": {
          "hubReferences": {
            "self": "/api/projects/{projectId}/model/links/{linkId}/hubreferences",
            "total": 2,
            "_embedded": {
              "hubReferences": []
            }
          },
          "satellites": []
        }
      }
    ]
  }
}
Response fields

For collection parameter responses see:Metavault API - General concepts